# config/routes.yaml

app_homepage:
    path: /
    controller: App\Controller\Client\Devlog\DevlogController::Main

app_apidoc:
    path: /api/doc
    methods: GET
    defaults: { _controller: nelmio_api_doc.controller.swagger_ui }

# OAuth routes
oauth_facebook:
    path: /connect/facebook
oauth_google:
    path: /connect/google
oauth_instagram:
    path: /connect/instagram
oauth_paypal:
    path: /connect/paypal
oauth_spotify:
    path: /connect/spotify
oauth_twitter:
    path: /connect/twitter
oauth_twitch:
    path: /connect/twitch


2fa_login:
    path: /login/2fa
    defaults:
        # "scheb_two_factor.form_controller" references the controller service provided by the bundle.
        # You don't HAVE to use it, but - except you have very special requirements - it is recommended.
        _controller: "scheb_two_factor.form_controller:form"

2fa_login_check:
    path: /login/2fa/check